<template>
  <div class="obj">
    <router-link :to="`/${productObj.id}`"><img :src="productObj.img" alt="Im" width="250" height="200"></router-link>
    <div>{{productObj.brand}} {{productObj.model}}</div> <br/>
    <div class="buy">
      <div>{{productObj.price + ' грн.'}}</div> <br/>
      <button @click="buy">Купити</button>
    </div>
  </div>
</template>

<script>
import {mapActions} from "vuex";

export default {
  name: 'ProductCard',

  props: {
    productObj: {
      type: Object,
      default: () => ({})
    },
  },

  methods: {
    ...mapActions(['onAddProduct']),

    buy() {
      this.onAddProduct(this.productObj)
    },
  },
}
</script>

<style lang="css" scoped>
.obj{
  border: 1px solid #ccc;
  padding: 10px;
  border-radius: 10px;
  margin-right: 10px;
}

.buy{
  display: flex;
  margin-left: 40px;
}

.buy button{
  margin-left: 30px;
  padding: 10px 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  transition: background-color 0.2s;
}

.buy button:hover {
  background-color: crimson;
  color: #fff;
}

.buy div{
  margin-top: 8px;
}
</style>